Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExManagerSpirit Class Reference

`#include <ExManagerSpirit.h>`

Inheritance diagram for ExManagerSpirit:

## Public Methods
void | Reset (void)
void | Init (void)
void | Draw (void)
## Static Public Methods
ExManagerSpirit * | CreateSingleton (void)
## Private Methods
| ExManagerSpirit (void)
| ~ExManagerSpirit (void)
## Static Private Attributes
bool | m_flag = false
ExManagerSpirit * | m_instance = NULL

## Constructor & Destructor Documentation

ExManagerSpirit | ( | void |  | ) | `[private]`

| Definition at line 43 of file ExManagerSpirit.cpp.
    00044 {
    00045 }

~ExManagerSpirit | ( | void |  | ) | `[private]`

| Definition at line 47 of file ExManagerSpirit.cpp.
    00048 {
    00049 }

## Member Function Documentation

ExManagerSpirit * CreateSingleton | ( | void |  | ) | `[static]`

| Definition at line 29 of file ExManagerSpirit.cpp. References CreateSingleton(), Guard, m_flag, and m_instance. Referenced by CreateSingleton(), and main().
    00029                                                      {
    00030 Guard(ExManagerSpirit* ExManagerSpirit::CreateSingleton(void))
    00031         if(!m_flag)
    00032         {
    00033                 m_flag = true; // We are creating the error log now, so set flag to true
    00034                 m_instance = new ExManagerSpirit; // Create the error log
    00035         }else
    00036         {
    00037                 std::cout<<"Error singleton already created"<<std::endl;
    00038         }
    00039         return m_instance;
    00040 UnGuard
    00041 }

void Draw | ( | void |  | ) |

| Reimplemented from ExManagerObject< ExCSpirit >. Definition at line 64 of file ExManagerSpirit.cpp. Referenced by ExManagerOutput::DrawScene().
    00065 {
    00066
    00067 }

void Init | ( | void |  | ) | `[virtual]`

| Reimplemented from ExManagerObject< ExCSpirit >. Definition at line 56 of file ExManagerSpirit.cpp. References ExManagerObject< ExCSpirit >::Add(), ExManagerObject::Init(), and ExCObject::SetName(). Referenced by InitManager().
    00057 {
    00058         ExManagerObject<ExCSpirit>::Init();
    00059         ExCSpirit Spirit;
    00060         Spirit.SetName("SpiritTest");
    00061         Add(Spirit);
    00062 }

void Reset | ( | void |  | ) | `[virtual]`

| Reimplemented from ExManagerObject< ExCSpirit >. Definition at line 51 of file ExManagerSpirit.cpp. References ExManagerObject::Reset(). Referenced by ExManagerCommand::ProcesExCAction().
    00052 {
    00053         ExManagerObject<ExCSpirit>::Reset();
    00054 }

## Field Documentation

bool m_flag = false`[static, private]`

| Definition at line 26 of file ExManagerSpirit.cpp. Referenced by CreateSingleton().

ExManagerSpirit * m_instance = NULL`[static, private]`

| Definition at line 27 of file ExManagerSpirit.cpp. Referenced by CreateSingleton().

The documentation for this class was generated from the following files:

- ExManagerSpirit.h
- ExManagerSpirit.cpp